#ifndef DICO_H
#define DICO_H

#include "treeh.h"

typedef tree dico[NBCHAR];

void make_empty_dico(dico);
void delete_dico(dico);
byte addto_dico(dico,const string);


void loadfrom_file(dico,FILE*);
void loadfrom_keyboard(dico);

void printto_file(dico,FILE*);
void printto_terminal(dico);
void print(tree,FILE*,string);

void strupper(string str);

bool is_in(dico,string);

#endif
